/*
** LOG: Simple minded message logging interface
** Copyright (C) 2000 Michael W. Shaffer <mwshaffer@yahoo.com>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.  
**
** You should have received a copy of the GNU General Public License
** along with this program (see the file COPYING). If not, write to:
**
** The Free Software Foundation, Inc.
** 59 Temple Place, Suite 330,
** Boston, MA  02111-1307  USA
*/

#ifndef __LOG_H__
#define __LOG_H__

enum log_levels {
	all = 0,
	trace,
	info,
	warn,
	severe,
	fatal
};

#define LOG(pri, msg) log_msg (pri, msg)

void log_init (void);
void log_free (void);
void set_log_level (int level);
void log_msg (int pri, char *msg);

#endif /* __LOG_H__ */

